> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/users-and-accounts/customer-referral.md).

# Customer Referral

## POST /api/Public/CustomerReferral/create

> Create customer referral

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"CustomerReferral"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.CustomerReferralCreateRequest":{"required":["referralEmail","referralMobile","referralName","referrerEmail","referrerMobile","referrerName"],"type":"object","properties":{"referrerName":{"maxLength":150,"minLength":0,"type":"string"},"referrerMobile":{"maxLength":20,"minLength":0,"type":"string"},"referrerEmail":{"maxLength":255,"minLength":0,"type":"string","format":"email"},"referralName":{"maxLength":150,"minLength":0,"type":"string"},"referralMobile":{"maxLength":20,"minLength":0,"type":"string"},"referralEmail":{"maxLength":255,"minLength":0,"type":"string","format":"email"}},"additionalProperties":false}}},"paths":{"/api/Public/CustomerReferral/create":{"post":{"tags":["CustomerReferral"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.CustomerReferralCreateRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Create customer referral","operationId":"post_CustomerReferral_create"}}}}
```
